#ifndef PICTURE_ENVIRONMENT_H
#define PICTURE_ENVIRONMENT_H
#include "Platform/Platform.hpp"
#include <Agents/Perception/Perception.hpp>

class Agent;

class PictureEnvironment
{		// The class
public: // Access specifier
	std::string fFilePath;
	sf::RenderWindow* fWindow;
	util::Platform* fPlatform;
	const sf::Vector2f fSize;
	sf::Vector2f fInitialSize;
	sf::Event fEvent;
	sf::RectangleShape fShape;

	sf::Texture fTextureImage;
	sf::Image fImage;

	std::list<Agent> fAgents;
	std::list<Agent>::iterator fAgentsIterator;

	PictureEnvironment(std::string& iFilePath, sf::RenderWindow* iWindow, util::Platform* iPlatform);
	Perception getPerception(int iX, int iY);
	void makeAgents(int iNumber);
	void paint(int iX, int iY, const sf::Color Color);

	bool loop();
	void displayLockInput();

private:
	PictureEnvironment();
};

#endif // PICTURE_ENVIRONMENT_H
